.mainDiv {
    display: flex;
    justify-content: center;
    max-width: auto;
    padding-inline: calc(var(--inline-padding-reg) * 2);
    padding-top: var(--padding-top-reg);
    padding-bottom: calc(var(--padding-top-reg) / 2);
}

.filtersDiv {
    display: flex;
    overflow: auto;
    white-space: nowrap;
    padding-inline: var(--inline-padding-sm);
    padding-bottom: var(--padding-top-reg);
}

.filtersButton {
    width: 250px;
    padding: 5px 30px;
    font-size: var(--text-l);
    background-color: var(--main-white);
    border: 2px solid var(--main-green);
    margin-right: calc(var(--margin-reg) / 2);
}

.lines {
    height: 1px;
    align-self: center;
    max-width: 35%;
}

.title {
    padding-inline: calc(var(--inline-padding-reg) / 2);
    white-space: nowrap;
    text-align: center;
}

.active {
    background-color: var(--main-green);
}

.seeMoreDiv {
    display: flex;
    justify-content: center;
    padding-top: var(--padding-top-reg);
    padding-bottom: var(--padding-top-reg);
}

.seeMoreLink {
    text-decoration: none;
    color: var(--main-lightpurple);
}

.cardsDiv {
    display: grid;
    padding-inline: var(--inline-padding-sm);
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
}

.desktopCarousel {
    display: none !important;
    padding-inline: var(--padding-reg) !important;
}

/* optimize for desktop */

@media (min-width: 1024px) {
    .mainDiv {
        padding-inline: calc(var(--inline-padding-reg));
    }
    .filtersDiv {
        justify-content: space-between;
    }

    .filtersButton {
        margin-right: 0;
    }

    .cardsDiv {
        grid-template-columns: repeat(4, 1fr);
        gap: 25px;
        padding-inline: var(--padding-reg);
        display: none;
    }

    .filtersDiv {
        display: flex;
        padding-inline: var(--padding-reg);
        width: 100%;
        overflow: unset;
    }

    .filtersDiv button:not(:last-child) {
        margin-right: 30px;
    }

    .desktopCarousel {
        display: block !important;
    }
}
